<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('employee_leaves', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('employee_id', 50)->index();
            $table->string('company_id', 50)->index();
            $table->string('dealer_id', 50)->index();
            $table->unsignedInteger('leave_id')->index();
            $table->boolean('without_pay')->default(false);
            $table->boolean('allow_higher_approval')->default(false);
            $table->boolean('half_day');
            $table->boolean('credit_to_vl')->default(false);
            $table->string('days', 10);
            $table->date('date_from');
            $table->date('date_to');
            $table->string('hours', 10)->nullable();
            $table->string('meridiem', 10)->nullable();
            $table->string('approved_by')->nullable();
            $table->text('description')->nullable();
            $table->text('denied_reason')->nullable();
            $table->string('attachment', 250)->nullable();
            $table->tinyInteger('status')->default(0);
            $table->string('recommending_id')->nullable()->index();
            $table->string('approver_id')->nullable()->index();
            $table->datetime('recommended_at')->nullable();
            $table->datetime('approved_at')->nullable();
            $table->boolean('enabled')->default(true)->index();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('employee_leaves');
    }
};
